be.fgov.ehealth.etee.crypto.status

## Class BasicCryptoResult<T>

- java.lang.Object
- - be.fgov.ehealth.etee.crypto.status.BasicCryptoResult<T>

- All Implemented Interfaces:
    CryptoResult<T>

      public abstract class BasicCryptoResult<T>
      extends java.lang.Object
      implements CryptoResult<T>

  Basic implementation for status.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicCryptoResult()`
    `BasicCryptoResult(NotificationFatal fatal)`
    `BasicCryptoResult(T data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyNotifications(CryptoResult<?> subResult)` Copies notifications of subresults to this one.
    `T` | `getData()`
    `java.util.List<NotificationError>` | `getErrors()`
    `NotificationFatal` | `getFatal()`
    `java.util.List<NotificationWarning>` | `getWarnings()`
    `boolean` | `hasData()`
    `boolean` | `hasErrors()`
    `boolean` | `hasWarnings()`
    `void` | `setData(T data)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicCryptoResult

          public BasicCryptoResult()

    - #### BasicCryptoResult

          public BasicCryptoResult(T data)

    - #### BasicCryptoResult

          public BasicCryptoResult(NotificationFatal fatal)

  - ### Method Detail

    - #### hasData

          public boolean hasData()

      Specified by:
        `hasData` in interface `CryptoResult<T>`
      Returns:
        true if the result contains expected data.

    - #### hasErrors

          public boolean hasErrors()

      Specified by:
        `hasErrors` in interface `CryptoResult<T>`
      Returns:
        true if the result contains a fatal notification or at least one notificationerror.

    - #### hasWarnings

          public boolean hasWarnings()

      Specified by:
        `hasWarnings` in interface `CryptoResult<T>`
      Returns:
        true if the result contains at least one notificationwarning.

    - #### getErrors

          public java.util.List<NotificationError> getErrors()

      Specified by:
        `getErrors` in interface `CryptoResult<T>`
      Returns:
        list of NotificationErrors.

    - #### getWarnings

          public java.util.List<NotificationWarning> getWarnings()

      Specified by:
        `getWarnings` in interface `CryptoResult<T>`
      Returns:
        list of NotificationWarnings

    - #### getFatal

          public NotificationFatal getFatal()

      Specified by:
        `getFatal` in interface `CryptoResult<T>`
      Returns:
        fatal notification

    - #### getData

          public T getData()

      Specified by:
        `getData` in interface `CryptoResult<T>`
      Returns:
        data processed as result of the cryptographic process

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### copyNotifications

          public void copyNotifications(CryptoResult<?> subResult)

      Description copied from interface: `CryptoResult`
      Copies notifications of subresults to this one.
      Specified by:
        `copyNotifications` in interface `CryptoResult<T>`

    - #### setData

          public void setData(T data)

Copyright © 2025 eHealth. All rights reserved.